Summary: X-based spreadsheet
%define name xspread
Name: %{name}
%define version 3.1.1c
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Spreadsheets
Source: ftp.cs.uwm.edu:/pub/soft-eng/xspread3.1.1c.tar.gz
Patch0: xspread-3.1.1c.Makefile.patch
Patch1: xspread-3.1.1c.config.patch
Patch2: xspread-3.1.1c.internat

%description

Xspread is a public domain spreadsheet which runs under X Windows or
ascii terminals.  Xspread uses the X Window system if available or
curses and term[cap/info] for ascii displays.

Xspread supports many standard spreadsheet features.  Among these are:
    * Cell entry and editing.
    * Worksheet size:  702 columns by unlimited rows.
    * File reading and writing.
    * File encryption.
    * Absolute and relative cell references.
    * Numeric and label (i.e.character string) data in 
      cells.
    * Left or right justification for labels.
    * Row and column insertion and deletion.
    * Hiding and unhiding of rows and columns.
    * Range names.
    * Manual or automatic recalculation.
    * Numeric operators (+, -, *, /, ^(exponentiation), 
      %(remaindering))
    * Relational operators (<, <=, >, >=, =, !=(not equal))
    * Logical (or, Boolean) operators (&(and), |(or), 
      ~(not))
    * Function references.
    * Graphs (XY, Bar, Stack Bar, Pie and Line graphs)
    * Matrix Operations (Transpose, Multiply, Add, Subtract
      and Inversion)
    * Cursor positioning with mouse
    * Menu item selection with mouse
    * References to external programs.  These are called 
      external functions. 

The structure and operation of the spreadsheet is similar to but not 
identical with popular spreadsheets such as Lotus 1-2-3 and its clones.

%prep
%setup -n %{name}%{version}
%patch0
rm -f configure,v
%patch1
%patch2

%build
# The sources as distributed doesn't come clean.
make -t Makefile
make distclean
LDFLAGS=-L/usr/X11R6/lib configure --prefix=/usr
make LDOPTIONS=-L/usr/X11R6/lib LDFLAGS=-L/usr/X11R6/lib
make TZ=US/Central check

%install
make install install.man

%files
%doc doc/Sample_Run doc/xspread.dvi doc/xspread.ps doc/xspread_prog.asc
%doc sample_files x/notes
/usr/man/man1/xspread.1
/usr/man/man1/pxspread.1

/usr/bin/xspread
/usr/bin/pxspread
